Get usage analytics
curl --request GET \
--url http://api.den.local/v1/telemetry/analyticsimport requests
url = "http://api.den.local/v1/telemetry/analytics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/telemetry/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": 123,
"pendingInvites": 123,
"activeMembers7d": 123,
"activeMembers30d": 123,
"sessions7d": 123,
"sessions30d": 123,
"tasksCompleted7d": 123,
"tasksFailed7d": 123,
"tasksCompleted30d": 123,
"tasksFailed30d": 123,
"avgTaskDurationMs30d": 123,
"weekly": [
{
"weekStart": "<string>",
"activeMembers": 123,
"sessions": 123,
"tasksCompleted": 123,
"tasksFailed": 123
}
],
"models": {
"usage30d": [
{
"id": "<string>",
"label": "<string>",
"sessions": 123
}
],
"selection30d": {
"default": 123,
"manual": 123
}
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "enterprise_plan_required",
"feature": "<string>",
"message": "<string>"
}Telemetry
Get usage analytics
Returns Layer 1 (who is using AI) and Layer 2 (how often) analytics for the active org: member counts, active members, session and task volume in 7d/30d windows, average task duration, model usage and selection in 30d, and a 12-week trend of active members, sessions, and tasks.
GET
/
v1
/
telemetry
/
analytics
Get usage analytics
Query Parameters
Required string length:
1 - 64Required string length:
1 - 128Response
Analytics returned.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?